Bug 816759 - Spell checker for topics
Spell checker for topics
Status: CLOSED DEFERRED
Product: PressGang CCMS
Classification: Community
Component: Spellchecker (Show other bugs)
1.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Matthew Casperson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-26 17:46 EDT by Matthew Casperson
Modified: 2014-08-04 18:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-14 16:37:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Casperson 2012-04-26 17:46:10 EDT
This will be a service that either runs as a topic is saved, on a predefined schedule, or as a manual processing step. It will use a Hunspell dictionary combined with the QE custom dictionary.

The Java API for using Hunspell - http://dren.dk/hunspell.html

Ignore text in the following tags:

application
envar
errorcode
filename
firstname
foreignphrase
funcdef 
function 
interfacename
invpartnumber 
isbn
issn
issuenum
manvolnum
markup
modespec
ooclass
ooexception
oointerface
orgname
othercredit
othername
package
parameter
personname
productname
programlisting
programlistingco
prompt
property 
returnvalue
screen
screenco
structfield
structname
surname
symbol 
uri
varargs
varname
Comment 1 Matthew Casperson 2012-04-26 17:46:44 EDT
Docbook XML element list - http://www.docbook.org/tdg/en/html/part2.html
Comment 2 Stephen Gordon 2012-04-26 18:09:20 EDT
This is the list we have traditionally ignored when using aspell:

parameter
option
package
replaceable
programlisting
userinput
screen
filename
command
computeroutput
abbrev
accel
orgname
surname
foreignphrase
acronym
hardware
keycap
Comment 4 Matthew Casperson 2012-04-26 22:05:55 EDT
https://home.corp.redhat.com/wiki/wordusage
Comment 5 Matthew Casperson 2013-03-14 16:37:01 EDT
Spell checking has new been deferred to the browser.

Note You need to log in before you can comment on or make changes to this bug.